freenode/#devuan/ Monday, 2018-07-09

aitortime to bed, bye :)00:14
elgemeow.  I am on ascii.  are we missing the `lockdown` init script?09:53
elgeI do not see the lockdown package, it is useful for ifuse to mount iphone09:53
gnarfacedid you check the repo to see if it's there?09:54
gnarface`apt-cache search lockdown`09:54
gnarfacemaybe its just not installed by default09:54
elgegnarface, yes that's the thing.  the package does not exist09:55
gnarfacemaybe its in backports09:55
gnarfacei see it in ceres09:55
elgegnarface, backports from debian stretch?09:56
elgeI see no backports on ascii dists/.  what is ceres?09:57
gnarfacethere should be a ascii-backports09:57
gnarfaceceres corresponds to sid09:57
elgenot on http://auto.mirror.devuan.org/merged/dists/ascii/09:57
gnarfacehmm. might be the old hostname you're using09:57
gnarfacetry changing it to deb.devuan.org09:59
elgegnarface, thanks, using the right mirror now.  but still no lockdown pkg against main contrib non-free10:01
gnarfaceyou remembered to run apt-get update?10:01
elgewhat about Beowulf?10:01
elgegnarface, of course10:02
gnarfaceassuming so, try adding ascii-backports10:02
gnarfacethen try it with apt-cache -t ascii-backports search lockdown10:02
gnarfaceif its not in there, yea i guess it might be in beowulf, i forgot about that10:02
gnarfacei don't think beowulf is considered really ready yet but i have heard reports of people successfully upgrading from ascii10:03
elgeok even in ascii-backports (10:03
gnarfaceyou might try to build the source package from there on ascii yourself10:03
gnarfacemaybe it'll work10:03
elgeI found lockdown into beowulf, upgrading.10:07
gnarfaceyou might want to make a backup first of your working ascii system, just in case10:08
elgeupgrade went fine, just had to --fix-missing13:33
elgewell the upgrade did brake X14:12
KatolaZelge: upgrade to what?14:15
elgeascii --> beowulf, X starts but14:18
elge[system] Activated service 'org.freedesktop.PolicyKit1' failed: Launch helper exited with unknown return code 12714:19
elgewhen ever some program triggers this14:19
elgeso far I have seen libpolkit-gobject-1-0 invloved14:20
KatolaZelge: many packages need to be built for beowulf before it can be used as ascii14:21
KatolaZI am on beowulf since several weeks ago14:21
KatolaZbut I am using no DE14:21
KatolaZI need no suspend/poweroff/automount/automagic14:21
KatolaZthose are the things that would probably not work ootb in beowulf so far14:22
elgeError: GDBus.Error:org.freedesktop.DBus.Error.Spawn.ChildExited: Launch helper exited with unknown return code 12714:24
KatolaZelge: see above please14:25
KatolaZexpect some stuff to not work in beowulf14:26
KatolaZnamely, most of the stuff that depends on systemd14:26
KatolaZincluding desktop-related goodies and automagicalities14:26
elgekatolaz, well I believe this can be fixed, it is not like the system is entirely broken14:27
elgeI will try to fix it14:27
KatolaZelge: I am just saying :)14:27
FlibberTGibbetso KatolaZ, is it safe to use in production yet? :P14:31
KatolaZ:P14:32
KatolaZit is for my production14:32
KatolaZ:P14:32
FlibberTGibbetawesome!14:33
FlibberTGibbetnot that brave here. but loving my new ascii file server14:33
KatolaZFlibberTGibbet: I have always used Debian testing, since woody14:37
KatolaZand switched to the next one as soon as it became stable14:37
KatolaZ(before Devuan ASCII, obviously)14:37
KatolaZ(well, before Jessie, actually)14:38
FlibberTGibbetKatolaZ: fair enough, as you have the chops to run a test release as more or less stable14:39
FlibberTGibbeti had an early beta of jessie running on a client system "just because". never gave me a moment's problem tbh14:40
elgethe shared object I need to fix polkit is into libpolkit-gobject-1-dev.  when install --reinstall _ing_ it, it triggers the polkit thing, preventing the installation to go through.  happy happy failing loop there14:40
KatolaZelge: I told you14:41
KatolaZall those polkit stuff depends on libpam-systemd14:41
KatolaZthere is not enough meat in beowulf atm to get around the issue, AFAIK14:41
elgethe dbus init script works fine14:44
elgeok deep down the hole it triggers libc-bin which ends up in a timeout.  that looks harder to fix)14:58
elgeso I am considering a switch to debian.  I would like to avoid reinstalling the whole system.14:58
KatolaZo_O14:58
elgeis there a way to switch to debian, possibly reinstalling the systemd-related pkgs?14:59
MinceRmaybe you could get someone in the systemd camp to make such a guide15:00
elgeheh they would probably answer: you tried to live without us, your fault!15:00
elgenow stick to it!15:01
KatolaZ:D15:02
elgeat least now my error has changed, after I put the shared object in place.15:03
elgefailed to load os-release: Key file does not have key “VERSION_ID” in group “os-release”15:03
MinceRcould put in some quotes from the Book of Origin15:04
elgeany idea where to add beowulf in that os-release thing?15:09
KatolaZelge: it's an lsb-related file15:09
KatolaZshould be /etc/os-release15:10
elgethanks.15:10
elgehmm  I have ID but no VERSION_ID15:11
elgeinto /etc/os-release15:11
eyalrozRunning a Cinnamon (fallback) session on Devuan ASCII, I'm not able to find how to manage my keyboard layouts. Specifically, I can't find something relevant on the menus nor can I add a keyboard layouts panel applet. Am I missing some package?15:18
elge        system settings --> keyboard / shortcuts15:25
elgeor with MATE         Settings -> keyboard shortcuts15:26
elgeok the os-release issue comes from debian itself15:29
eyalrozelge: There is no "System Settings" on the menu.15:30
eyalrozThere's "Sytem > Preferences", but that doesn't have Keyboard Shortcuts15:31
eyalrozThere's also no "Settings".15:31
elge15:34:41 < jelly> elge: that gets fixed late in the release process15:35
elgefrom #debian15:35
elgeso I guess we will have to wait until buster gets released before playing with beowulf15:35
eyalrozelge: Also, even though I supposedly have a pair of layouts - Hebrew and English - only some apps respect this (e.g. Gnome terminal, Libreoffice) while other apps, when I switch to Hebrew layout, just refuse to add any characters (except punctuation).15:37
jellyelge: os-release is probably one of those things that a distro needs to manage on its own15:38
jellybecause it's its own OS really15:39
elgeright, I have added VERSION_ID=10 and avoided that warning15:39
elgeI am now back to systemd issues.15:39
jellywut15:39
* jelly thought Devuan was made to AVOID systemd issues15:40
jellyby avoiding the thing completely15:40
gnarfacehe's trying to go back15:44
elgewell the devuan polkit packages are empty15:44
elgeno wonder it cannot work15:44
gnarfaceits ill-advised15:44
djphwhy not just install Debian then?15:44
gnarfacehe thinks this will be less trouble15:44
gnarfacebut it would probably work better on ceres15:44
elgeI do not think I can downgrade back to ascii can I?15:45
elgehmm I would go on ceres then, I am fucked anyway15:45
gnarfacein theory you might successfully downgrade, but it's not even a supported option in debian15:45
gnarfaceusually what happens when you downgrade is something breaks in a non-obvious way that comes back to bite you later15:46
elgewell that happened with upgrade to unstable already, so it cannot be worse)15:46
elgeoops, upgrade to testing.15:46
gnarfacebefore you give up and wipe it anyway it might be worth trying ceres15:47
elgeok15:47
elgecannot upgrade because of PackageKit not able to restart15:56
elgethis is dbus related again15:57
gnarfacemaybe purge all the gui stuff first15:58
mtnmanelho.16:43
mtnmanon my newly installed devuan box, the ethernet interface has a long, unwieldly, name which is ~15 characters in lenght.  how difficult is it to change this to a shorter, easier to remember/type name?16:45
mtnmanok now i notice it is en{mac-address}16:47
mtnmanquestion remains: is it possible to change the name of the ethernet interface?16:49
fsmithredmtnman, eudev should be changing it for you16:50
fsmithredyou installed ascii?16:50
mtnmanyes ascii16:50
mtnmani am not familiar with eudev16:50
fsmithreddpkg -l |grep udev16:51
fsmithreddon't post it here16:51
fsmithredthe spam filter might bite you16:51
fsmithredit should show eudev, libeudev1, udev with a devuan version, libudev1 with a devuan version16:52
mtnmanyes eudev is installed.16:53
fsmithredeudev  3.2.2-13, udev  1:3.2.2+devuan2.1116:53
fsmithreddoes /etc/init.d/udev exist?16:54
fsmithredwhat kind of install did you do?16:55
mtnmanlive dist on usb16:55
fsmithredok, that's weird. I made the desktop-live isos, and I get the old names16:56
mtnmanthanks for making the isos. much appreciated. it is a stepping stone til i'm ready to install to disk.16:57
fsmithredvbox or qemu?16:57
mtnmannot sure what you mean16:58
fsmithredyou're installing into a virtual machine?16:58
fsmithredor just running the live usb?16:58
mtnmanno live usb16:58
* mtnman is running the live usb16:59
fsmithredcat /proc/cmdline16:59
fsmithredmake sure you don't have net.ifnames=1 in the boot command16:59
mtnmandevuan@devuan:~$ cat /proc/cmdline17:00
mtnmanBOOT_IMAGE=/live/vmlinuz boot=live username=devuan17:00
fsmithredyeah, that's right17:00
fsmithreddamn17:00
fsmithredand you used the actual release iso and not a beta, right?17:01
mtnmanyes the release afaik17:01
fsmithredshould not have "beta" or "RC" in the file name17:02
fsmithredmaybe parazyd has ideas. ^^^17:02
mtnmanno beta or RC in the filename17:02
mtnmanfilename of the iso is devuan_ascii_2.0.0_amd64_desktop-live.iso17:03
mtnmanwhere do i look for net.ifnames=1 ?17:04
fsmithredyou already did17:04
fsmithredthat's what you add to the boot command to use the "predictable" (long and unwieldy) names17:05
mtnmanwhere would i have found that?17:05
mtnmanwhere is the boot command located?17:05
fsmithredcat /proc/cmdline or in the boot menu17:05
mtnmanaha.17:05
fsmithredin root of the iso17:05
fsmithredboot/grub/grub.cfg if booted uefi, isolinux/live.cfg if legacy boot17:05
mtnmani assume eufi is the default?17:06
fsmithreddepends on motherboard17:07
fsmithredhow old is the computer?17:07
fsmithredls /sys/firmware/efi17:08
fsmithredif it exists, you booted uefi17:08
mtnmana few years old.  i just acquired the laptop used. its a toshiba C875D17:08
mtnman/sys/firmware/efi exists17:09
fsmithredI have to go out now. I'll give it some thought, and maybe I'll get an idea.17:10
mtnmanthanks for the help. bye for now.17:11
fsmithredlater...17:11
bozonius(on an ascii VM) remmina : Depends: libssh-4 (>= 0.8.0~20170825.94fa1e38) but 0.7.3-2 is to be installed17:33
bozoniusam I mixing, say, backports with main ?17:33
bozoniusI commented out ascii-backports and reran update, then tried to install remmina and ssh-4; it can't find either.17:37
bozoniusso it is an incompat in backports ?17:37
KatolaZbozonius: which repo are you using?17:43
bozoniusdefine "using"17:43
bozoniusyou mean which mirror?17:43
bozoniusdeb.devuan.org17:44
KatolaZok17:44
KatolaZlibssh-4 is in ascii-backports17:45
KatolaZhttps://pkginfo.devuan.org/cgi-bin/d1pkgweb-query?search=libssh-4&release=any17:45
bozoniusso is remmina it seems17:45
KatolaZnope bozonius17:45
KatolaZhow are you installing remmina?17:45
bozoniusapt-get install remmina17:45
bozoniusif i disable backports, it can't find remmina17:46
KatolaZbozonius: apt-get install -t ascii-backports remmina17:46
bozoniusI found I don't  need to17:46
bozoniuswhy is the -t needed17:47
KatolaZbecause you have to specify which version you want17:47
KatolaZand remmina is only in backports17:47
bozoniusthen why does it give me the message I posted, above?17:48
KatolaZand if you don't specify -t apt won't satisfy the deps17:48
bozoniusthanks, that's working now.17:50
bozoniusso, there is a version of remmina in backports and in main?17:50
KatolaZuh?17:51
bozonius(I'm confused)17:51
KatolaZnp17:52
KatolaZascii-backports is a suite17:52
KatolaZit contains the components "main", "contrib" and "non-free"17:52
KatolaZas any other suite, usually17:52
KatolaZremmina is only in ascii-backports17:52
bozoniusand libssh-417:53
bozoniuswith no "-t", I got: remmina : Depends: libssh-4 (>= 0.8.0~20170825.94fa1e38) but 0.7.3-2 is to be installed17:54
KatolaZyes bozonius17:54
bozoniuswhere was it finding out that remmina needed that dependency?  If the -t is required, then to my way of thinking, it should have failed to find remmina17:55
bozoniushow come it found it anyway?17:55
bozoniusiow, KatolaZ, wouldn't apt need to first discover the dependency, which would require it to actually find the package (which is only in backports as you say)17:57
bozoniusor is it discovering the dependency some other way?17:58
KatolaZno bozonius17:58
bozonius?17:58
KatolaZ-t changes the default release for that operation17:58
KatolaZman apt-get17:58
KatolaZlook for "-t"17:58
bozoniusyeah, I get that part17:58
bozoniusthat isn't what I am asking17:58
KatolaZbozonius: if you don't set -t ascii-backports, apt tries to satisfy the deps according to their priority17:59
KatolaZapt-cache polict libssh-417:59
KatolaZsorry17:59
KatolaZapt-cache policy libssh-417:59
bozoniusso then the -t is for resolving the dependencies, not for finding the package?17:59
KatolaZbozonius: look at the difference between18:00
KatolaZapt-cache policy libssh-418:00
KatolaZapt-cache policy -t ascii-backports libssh-418:00
bozonius  I ran both commands, and got the same output18:03
KatolaZimpossible bozonius18:03
KatolaZyou got a different output18:03
KatolaZand the difference is in the priority of the package18:04
KatolaZthe number before the url18:04
KatolaZit's 500 in the first case18:04
KatolaZ990 in the second case18:04
KatolaZunless you have already installed the version in backports18:04
bozoniusAh, I missed that when eyeballing it.  When I did a diff, I saw it18:04
bozoniusbut that doesn't answer my question18:05
KatolaZyes, it does18:05
bozoniusno18:05
bozoniusis -t only for resolving dependencies?18:05
bozoniusif it is, then it makes sense18:05
bozoniusotherwise, I am still confused18:05
KatolaZbozonius: again, -t sets the priority of the named suite to 99018:06
KatolaZdependencies are resolved using their priorities18:06
KatolaZsince you can have many suites that provide the needed deps18:06
bozoniusok, so then, as I said, -t is only for the deps18:06
KatolaZ...18:06
KatolaZno bozonius18:06
KatolaZit's not only for the deps18:06
KatolaZit sets the priority of the named suite to 99018:07
bozoniusok, then how did apt-get find remmina without the -t  ??18:07
KatolaZwith all the consequences of that18:07
KatolaZbecause you have ascii-backports in your sources.list18:07
KatolaZo_O18:07
bozoniusthis is not quite as clear as you see it.  I come from the rpm and pacman worlds18:07
bozoniusthey also have "pinning" and priorities, and such18:08
KatolaZthen you should read about apt18:08
bozoniusbut it done differently18:08
bozoniusperhaps18:08
bozoniusanyway, thanks for the help.  SOrry if I am not a good student yet...18:09
bozoniusI will read up more on apt18:09
KatolaZsorry for not being a good teacher bozonius18:09
KatolaZ:\18:09
bozoniusnah, you're fine18:10
bozonius(remember you are talking to bozonius here)18:10
bozonius(I'm kinda slow...)18:10
mtnmanelho18:27
ml|Hello, a long time Debian user that would migrate to Devuan. Have read the migrating instructions for stable. Would these also work when using 'testing' instead in the sources.list? Current system consists of a mix of testing[99%], and unstable and experimental as needed.23:14
ml|Current sources.list:  https://paste.debian.net/1033037/  Would that sources.list work, for migrating to  Devuan by only changing the urls? Thank You23:17
ml|s/would/would like23:18
golinuxml|: Since devuan does not always sync with the debian release schedule, use of stable, testing etc. is not recommended.23:26
golinuxInstead use the release name - jessie, ASCII, Beowulf, Ceres etc.23:27
golinuxAFAICR, no one has yet tried a Buster to Beowulf migration.23:28
golinuxPlease have a look at this page https://devuan.org/os/etc/apt/sources.list23:29
ml|golinux: Alright, was about to ask if using beowolf would work. heh23:29
golinuxDepending on your setup it may or may not work.23:29
ml|Thank You for that link could not find that.23:29
ml|Like I said it is 99% testing with one or two packages from unstable and experimental. But yes understand.23:31
golinuxYou might try a generic buster in a VM and upgrade to beowulf23:32
ml|How about tracking unstable instead and migrating to Devuan then?23:33
golinuxunstab;le is beowulf23:34
golinuxOops.  Brain fart23:34
ml|Yes, will clone my current install before trying anything. And was going to mess around in a VM before trying anything also. Heh, no problem.23:35
golinuxI thought of that but there were many changes in jessie > ascii that might not work if you don't pass through it.23:35
golinuxI'm not very adventurous so not much experience.23:36
golinuxIt would be best to get your system in a VM.  If you do try, please let us know how it goes.23:37
ml|Yes, typical it is better to follow the upgrade path instead of skipping over a step.23:37
ml|*typically23:37
golinuxBy the time Beowulf is stable, we'll have it figured out.23:37
golinuxYour input could be useful, if you're up for it.23:38
ml|Will report back once get a chance to try these ideas out. Will try it, just need to find the time. Have a few things to upgrade before try these.23:39
golinuxYeah, it will eat up more than a few hours most likely23:40
ChankuYeah, although I have to admit Devuan is remarkedly stable. It's slowly moving to what it needs, and I am pretty sure that the speed of releases is slowly getting a bit faster.23:41
ml|If all goes well, cloning will take most of the time. The rest should be easy, since do not run a DE, just a WM[xmonad].23:42
ChankuAlso I'm looking to Beowulf becoming stable enough to run testing on my local machine, as I will probably desire to upgrade to it at some point.23:42
golinuxNote that beowulf is not yet even listed on the source.list page.  Just add the codename where appropriate23:42
golinuxYou're chances of success are better using a WM rather than a DE23:43
ml|Should be, hopefully.23:45
ml|golinux: Thank You for your input.23:49

Generated by irclog2html.py 2.17.0 by Marius Gedminas - find it at https://mg.pov.lt/irclog2html/!